Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454590 - CMPI MI factories that return errors are unsupported
Summary: CMPI MI factories that return errors are unsupported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard: SanityOnly
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 06:52 UTC by Tim Potter
Modified: 2009-06-20 04:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 22:19:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0250 normal SHIPPED_LIVE tog-pegasus bug fix and enhancement update 2009-01-20 16:06:52 UTC

Description Tim Potter 2008-07-09 06:52:57 UTC
Description of problem:

From OpenPegasus bugzilla 7525 at:

http://cvs.opengroup.org/bugzilla/show_bug.cgi?id=7525

"The CMPI spec states that MI factories "may return a NULL pointer indicating
that a particular MI type is not supported, despite the fact that the factory is
found".  The current code in src/Pegasus/ProviderManager2/CMPI/CMPIProvider.cpp
does not reflect this condition.

Currently, if any provider MI functions return NULL or set the CMPIStatus output
parameter to anything other than OK, a CIM exception is generated:

CIM_ERR_FAILED: Error initializing CMPI MI SMXProfileRegistration, the 
following MI factory function(s) returned an error: _Generic_Create_MethodMI;
 _Generic_Create_IndicationMI."

This bug causes CMPI providers that return errors as per the CMPI standard to be
unloadable under tog-pegasus.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2008-09-10 11:27:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Chris Ward 2008-11-28 07:14:52 UTC
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!

Comment 5 Miroslav Vadkerti 2008-12-12 12:59:57 UTC
Verified from partners, adding SanityOnly, as I couldn't test this bug.

Comment 7 errata-xmlrpc 2009-01-20 22:19:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0250.html


Note You need to log in before you can comment on or make changes to this bug.